summaryrefslogtreecommitdiff
path: root/package/avahi/files/avahi.init
diff options
context:
space:
mode:
authorThorsten Glaser <tg@mirbsd.org>2014-05-04 00:11:56 +0000
committerWaldemar Brodkorb <wbx@openadk.org>2014-05-04 02:21:31 +0200
commitb7856cc45d5bd5485c805f028722a1961c83a23a (patch)
tree498556c3513f8da6ee9deb79ed1339fb9d44eade /package/avahi/files/avahi.init
parentfbfcdd5f26b463f05f51b5004ff2ded269e57e77 (diff)
rename init scripts so their basename matches their enabler variable
Diffstat (limited to 'package/avahi/files/avahi.init')
-rw-r--r--package/avahi/files/avahi.init27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/avahi/files/avahi.init b/package/avahi/files/avahi.init
new file mode 100644
index 000000000..ca78aa486
--- /dev/null
+++ b/package/avahi/files/avahi.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#PKG avahi-daemon
+#INIT 75
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${avahi:-NO}" = x"NO" && exit 0
+ test x"$avahi" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ avahi-daemon -D
+ ;;
+stop)
+ avahi-daemon -k
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 { start | stop | reload }"
+ exit 1
+esac
+exit $?